AutoSavingRowCache (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cache
Class AutoSavingRowCache<K extends DecoratedKey,V>

    java.lang.Object
      org.apache.cassandra.cache.InstrumentingCache<K,V>
          org.apache.cassandra.cache.AutoSavingCache<K,V>
              org.apache.cassandra.cache.AutoSavingRowCache<K,V>

All Implemented Interfaces:
  InstrumentingCacheMBean

    public class AutoSavingRowCache<K extends DecoratedKey,V>

extends AutoSavingCache<K,V>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.cache.AutoSavingCache
`AutoSavingCache.Writer`

Field Summary

Fields inherited from class org.apache.cassandra.cache.AutoSavingCache
`cacheType, cfName, flushInProgress, saveTask, tableName`

Constructor Summary
`AutoSavingRowCache(ICache<K,V> cache, java.lang.String tableName, java.lang.String cfName)`

Method Summary
`double` | `getConfiguredCacheSize(CFMetaData cfm)`
`java.nio.ByteBuffer` | `translateKey(K key)`

Methods inherited from class org.apache.cassandra.cache.AutoSavingCache
`getAdjustedCacheSize, getCachePath, getWriter, readSaved, reduceCacheSize, scheduleSaving, submitWrite, updateCacheSize`

Methods inherited from class org.apache.cassandra.cache.InstrumentingCache
`clear, get, getCapacity, getHits, getInternal, getKeySet, getRecentHitRate, getRequests, getSize, hotKeySet, isCapacitySetManually, isPutCopying, put, remove, setCapacity, size, updateCapacity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoSavingRowCache

    public AutoSavingRowCache(ICache<K,V> cache,
                              java.lang.String tableName,
                              java.lang.String cfName)

Method Detail

### getConfiguredCacheSize

    public double getConfiguredCacheSize(CFMetaData cfm)

  Specified by:
    `getConfiguredCacheSize` in class `AutoSavingCache<K extends DecoratedKey,V>`

### translateKey

    public java.nio.ByteBuffer translateKey(K key)

  Specified by:
    `translateKey` in class `AutoSavingCache<K extends DecoratedKey,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation